﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Threema.MsgApi.Exceptions;

namespace Threema.MsgApi.Console.Commands.Fields
{
	public class PrivateKeyField : KeyField
	{
		public PrivateKeyField(string key, bool required) :
			base(key, required)
		{
		}

		public byte[] GetValue()
		{
			try
			{
				return this.ReadKey(this.value, Threema.MsgApi.Key.KeyType.PRIVATE);
			}
			catch (Exception ex)
			{
				throw new InvalidKeyException("invalid private key", ex);
			}
		}
	}
}
